### A free/open-source library for quantitative finance

Classes | Public Member Functions | Protected Attributes
ContinuousFloatingLookbackOption Class Reference
Financial instruments

Continuous-floating lookback option. More...

`#include <ql/instruments/lookbackoption.hpp>`

Inheritance diagram for ContinuousFloatingLookbackOption:
[legend]

List of all members.

## Classes

class | arguments
| Arguments for continuous floating lookback option calculation More...
class | engine
| Continuous floating lookback engine base class More...

## Public Member Functions

| ContinuousFloatingLookbackOption (Real currentMinmax, const boost::shared_ptr< TypePayoff > &payoff, const boost::shared_ptr< Exercise > &exercise)
void | setupArguments (PricingEngine::arguments *) const

## Protected Attributes

Real | minmax_

## Detailed Description

Continuous-floating lookback option.

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Option.